Get a specific buoy reading
curl --request GET \
--url https://api.thebuoy.app/v2/buoys/{buoy_id}/readings/{reading_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thebuoy.app/v2/buoys/{buoy_id}/readings/{reading_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thebuoy.app/v2/buoys/{buoy_id}/readings/{reading_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"reading": {
"id": 12345,
"uuid": "abc-123-def",
"significient_height": 1.5,
"maximum_height": 2,
"period": 8.5,
"time": "2025-11-01T10:00:00Z",
"water_temperature": 18.5,
"direction": 270,
"direction_compass": "W",
"unit": "m",
"energy_per_wave": 25.5
},
"buoy": {
"id": 10,
"name": "Anglet"
}
}
}{
"error": "unauthorized",
"message": "Invalid API key",
"timestamp": "2025-12-27T14:30:00Z",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": "resource_not_found",
"message": "Couldn't find Spot with 'id'=999",
"timestamp": "2025-12-27T14:30:00Z",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": "rate_limit_exceeded",
"message": "You have exceeded 1000 requests per hour",
"timestamp": "2025-12-27T14:30:00Z",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}Buoys
Get a specific buoy reading
Get detailed information about a specific reading from a buoy.
GET
/
buoys
/
{buoy_id}
/
readings
/
{reading_id}
Get a specific buoy reading
Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Format: Authorization: Bearer YOUR_API_KEY
Alternative: Pass as query parameter ?api_key=YOUR_API_KEY
Security: API keys are stored as BCrypt hashes (never plain text). Only the hash is stored in the database.
⌘I